imri_inh_3d_adjoint_plan Struct Reference

Structure for an adjoint transform plan. More...

`#include <solver_adjoint.h>`

Collaboration diagram for imri_inh_3d_adjoint_plan:
[legend]

## Data Fields

mri_inh_3d_plan * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
double * | w
| weighting factors
double * | w_hat
| damping factors
double _Complex * | y_hat
| right hand side, samples
double _Complex * | f_iter
| iterative solution
double _Complex * | r_hat_iter
| iterated residual vector
double _Complex * | z_iter
| residual of normal equation of first kind
double _Complex * | p_iter
| search direction
double _Complex * | v_hat_iter
| residual vector update
double | alpha_iter
| step size for search direction
double | beta_iter
| step size for search correction
double | dot_r_hat_iter
| weighted dotproduct of r_iter
double | dot_r_hat_iter_old
| previous dot_r_iter
double | dot_z_iter
| weighted dotproduct of z_hat_iter
double | dot_z_iter_old
| previous dot_z_hat_iter
double | dot_p_iter
| weighted dotproduct of p_hat_iter
double | dot_v_hat_iter
| weighted dotproduct of v_iter

## Detailed Description

Structure for an adjoint transform plan.

Definition at line 82 of file solver_adjoint.h.

## Field Documentation

## mv

mri_inh_3d_plan* imri_inh_3d_adjoint_plan::mv

matrix vector multiplication

Definition at line 82 of file solver_adjoint.h.

## flags

unsigned imri_inh_3d_adjoint_plan::flags

iteration type

Definition at line 82 of file solver_adjoint.h.

## w

double* imri_inh_3d_adjoint_plan::w

weighting factors

Definition at line 82 of file solver_adjoint.h.

## w_hat

double* imri_inh_3d_adjoint_plan::w_hat

damping factors

Definition at line 82 of file solver_adjoint.h.

## y_hat

double _Complex* imri_inh_3d_adjoint_plan::y_hat

right hand side, samples

Definition at line 82 of file solver_adjoint.h.

## f_iter

double _Complex* imri_inh_3d_adjoint_plan::f_iter

iterative solution

Definition at line 82 of file solver_adjoint.h.

## r_hat_iter

double _Complex* imri_inh_3d_adjoint_plan::r_hat_iter

iterated residual vector

Definition at line 82 of file solver_adjoint.h.

## z_iter

double _Complex* imri_inh_3d_adjoint_plan::z_iter

residual of normal equation of first kind

Definition at line 82 of file solver_adjoint.h.

## p_iter

double _Complex* imri_inh_3d_adjoint_plan::p_iter

search direction

Definition at line 82 of file solver_adjoint.h.

## v_hat_iter

double _Complex* imri_inh_3d_adjoint_plan::v_hat_iter

residual vector update

Definition at line 82 of file solver_adjoint.h.

## alpha_iter

double imri_inh_3d_adjoint_plan::alpha_iter

step size for search direction

Definition at line 82 of file solver_adjoint.h.

## beta_iter

double imri_inh_3d_adjoint_plan::beta_iter

step size for search correction

Definition at line 82 of file solver_adjoint.h.

## dot_r_hat_iter

double imri_inh_3d_adjoint_plan::dot_r_hat_iter

weighted dotproduct of r_iter

Definition at line 82 of file solver_adjoint.h.

## dot_r_hat_iter_old

double imri_inh_3d_adjoint_plan::dot_r_hat_iter_old

previous dot_r_iter

Definition at line 82 of file solver_adjoint.h.

## dot_z_iter

double imri_inh_3d_adjoint_plan::dot_z_iter

weighted dotproduct of z_hat_iter

Definition at line 82 of file solver_adjoint.h.

## dot_z_iter_old

double imri_inh_3d_adjoint_plan::dot_z_iter_old

previous dot_z_hat_iter

Definition at line 82 of file solver_adjoint.h.

## dot_p_iter

double imri_inh_3d_adjoint_plan::dot_p_iter

weighted dotproduct of p_hat_iter

Definition at line 82 of file solver_adjoint.h.

## dot_v_hat_iter

double imri_inh_3d_adjoint_plan::dot_v_hat_iter

weighted dotproduct of v_iter

Definition at line 82 of file solver_adjoint.h.

The documentation for this struct was generated from the following file:

- solver_adjoint.h